#!/usr/bin/python3
import os
import sys

# Global variables

g_exampleVariable = "Global Example Variable" # Only, if this is necessary

def showUsageInformation():
	print() 
	print("Majops Skeleton Script Python3 is the base for making new scripts in Python3.")
	print("The user has to type here what the Python3 script can perform and does.")
	print() 
	print("Way of usage:")
	print() 
	print("The user has to type here how he has to work with the Python3 script and")
	print("how the command line arguments are used.")
	print()
	print("Example:") 
	print()
	print("python3 MajopsSkeletonScriptPython3.py input1.txt input2.csv 10 output.csv")
	print()
	
	sys.exit()

# From here till the main function, functions have to be programmed. 
# An example function: showHelloWorld
def showHelloWorld(helloWorld):
	global g_exampleVariable
	
	print()
	print(helloWorld)
	print()
	print(g_exampleVariable)
	print()
        
# The last function is always the main function, in which only other functions are called.
def main(argv):
	if len(argv) >= 2:
		if argv[1] == "-h" or argv[1] == "--h" or argv[1] == "-help" or argv[1] == "--help":
			showUsageInformation()
			
	helloToUser = "Hello World!"
	
	showHelloWorld(helloToUser) # Example of a function.
                               
if __name__ == "__main__":
	main(sys.argv)
	
# Additional information:
# =======================
#
# Remarks about the Majops Skeleton Script Python3 itself.
# Description how it works.
# Description which improvements can be done to improve the Majops Skeleton Script Python3 itself.
#

