#include <iostream>
#include <cstdlib>
#include <string>
using namespace std;

// Global variables

string g_exampleVariable = "Global Example Variable"; // Only, if this is necessary

void showUsageInformation() {
	cout << "" << endl; 
	cout << "Majops Skeleton Script C++ is the base for making new scripts in C++." << endl;
	cout << "For this Majops Skeleton Script C++, an executable file has to be made first." << endl;
	cout << "Therefore, it has to be compiled by typing:" << endl; 
	cout << "" << endl; 
	cout << "g++ [C++ script file name with .cpp extension] -o [C++ script file name without .cpp extension]" << endl;
	cout << "" << endl; 
	cout << "The generated executable file can be started by typing:" << endl;
	cout << "" << endl; 
	cout << "./[C++ script file name without any extension]" << endl;
	cout << "" << endl; 
	cout << "To generate an executable file for this Majops Skeleton Script C++, you have to type:" << endl;
	cout << "" << endl; 
	cout << "g++ MajopsSkeletonScriptCpp.cpp -o MajopsSkeletonScriptCpp" << endl;
	cout << "" << endl; 
	cout << "To start the generated executable file for this Majops Skeleton Script C++, you have to type:" << endl;
	cout << "" << endl; 
	cout << "./MajopsSkeletonScriptCpp" << endl;
	cout << "" << endl; 
	cout << "The user has to type here what the C++ script can perform and does." << endl;
	cout << "" << endl;
	cout << "Way of usage:" << endl;
	cout << "" << endl;
	cout << "The user has to type here how he has to work with the C++ script and" << endl;
	cout << "how the command line arguments are used." << endl;
	cout << "" << endl;
	cout << "Example:" << endl;
	cout << "" << endl;
	cout << "g++ MajopsSkeletonScriptCpp.cpp -o MajopsSkeletonScriptCpp" << endl;
	cout << "./MajopsSkeletonScriptCpp input1.txt input2.csv 10 output.csv" << endl;
	cout << "" << endl;
	
	exit(0);
}

// From here till the main function, functions have to be programmed. 
// An example function: showHelloWorld
void showHelloWorld(string helloWorld) {
	cout << "" << endl;
	cout << helloWorld << endl;
	cout << "" << endl;
	cout << g_exampleVariable << endl;
	cout << "" << endl;
}
        
// The last function is always the main function, in which only other functions are called.
int main(int argc, char *argv[], char *envp[]) {
	if (argc >= 2) {
		string firstCA = argv[1];
		if (firstCA == "-h" || firstCA == "--h" || firstCA == "-help" || firstCA == "--help") {
			showUsageInformation();
		}
	}
	
	string helloToUser = "Hello World!";
	
	showHelloWorld(helloToUser);
	
	return 0;
}

// Additional information:
// =======================
//
// Remarks about the Majops Skeleton Script C++ itself.
// Description how it works.
// Description which improvements can be done to improve the Majops Skeleton Script C++ itself.
//

