#!/usr/bin/Rscript

# Global variables 

g_exampleVariable <<- "Global Example Variable" # Only, if this is necessary

showUsageInformation <- function() {
	print("") 
	print("Majops Skeleton Script R is the base for making new scripts in R.")
	print("The user has to type here what the Majops Skeleton Script R can perform and does.")
	print("")
	print("Way of usage:")
	print("") 
	print("The user has to type here how he has to work with the R script and")
	print("how the command line arguments are used.")
	print("")
	print("Example:")
	print("")
	print("Rscript MajopsSkeletonScriptR.R input1.txt input2.csv 10 output.csv")
	print("")
	
	quit()
}

# From here till the main function, functions have to be programmed. 
# An example function: showHelloWorld
showHelloWorld <- function(helloWorld) {
	print("")
	print(helloWorld)
	print("")
	print(g_exampleVariable)
	print("")
}	        

# The last function is always the main function, in which only other functions are called.
main <- function(args) {
	if (length(args) > 0) {
		if (args[1] == "-h" |  args[1] == "-help" | args[1] == "--h" | args[1] == "--help") {
			showUsageInformation()
		}
	}	

	helloToUser <- "Hello World!"

	showHelloWorld(helloToUser) # Example of a function.
}

main(commandArgs(T))

# Additional information:
# =======================
#
# Remarks about the Majops Skeleton Script R itself.
# Description how it works.
# Description which improvements can be done to improve the Majops Skeleton Script R itself.
#

